[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Installed xfonts-arphic 2.11.2 (all source)



Hi,

>>>>> In <E13wrak-0005o8-00@auric.debian.org> 
>>>>>	Anthony Fok <foka@debian.org> wrote:

>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1

>> Format: 1.6
>> Date: Thu, 16 Nov 2000 23:50:15 -0700
>> Source: xfonts-arphic
>> Binary: xfonts-arphic-bkai00mp xfonts-arphic-gbsn00lp xfonts-arphic-bsmi00lp xfonts-arphic-gkai00mp
>> Architecture: source all
>> Version: 2.11.2
>> Distribution: stable unstable
>> Urgency: medium
>> Maintainer: Anthony Fok <foka@debian.org>
>> Description: 
>>  xfonts-arphic-bkai00mp - X11 fontmap files for Arphic "AR PL KaitiM Big5" TrueType font
>>  xfonts-arphic-bsmi00lp - X11 fontmap files for Arphic "AR PL Mingti2L Big5" TrueType font
>>  xfonts-arphic-gbsn00lp - X11 fontmap files for Arphic "AR PL SungtiL GB" TrueType font
>>  xfonts-arphic-gkai00mp - X11 fontmap files for Arphic "AR PL KaitiM GB" TrueType font
>> Changes: 
>>  xfonts-arphic (2.11.2) stable unstable; urgency=medium
>>  .
>>    * [debian/control]: Changed dependency information to:
>>         Depends: ttf-arphic-????????, xutils | xbase-clients (>= 3.3.6-4)
>>         Suggests: xfs (>= 4.0.1-3) | xfs-xtt (>> 1:1.3.0.1-3) | xserver
>>       so that the Arphic fonts won't conflict with the XFree86 4.0.1
>>       packages.

 I ckecked these in ftp-master, but all of these fonts's dependencies
are:

Depends: ttf-arphic-gbsn00lp, xbase-clients (>= 3.3.6-4), xfs-xtt (>> 1:1.3.0.1-3)

No Suggests: line. Please fix :-)

 On the other hand, this Suggests: line is not better, I think:

 Suggests: xfs (>= 4.0.1-3) | xfs-xtt (>> 1:1.3.0.1-3) | xserver


 1) xfs (>= 4.0.1-3) includes freetype engine (xfsft's TrueType
    engine) only, does not include xtt engine (X-TT TrueType engine)
    freetype and xtt is conflicts each other.
    and these font package's fonts.dir (fonts.scale) use TTCap syntax.
    Freetype engine can not handle TTCap syntax.
    So if user would use these font with xfs (>= 4.0.1-3), he should
    not use fonts.scale in this package.

 2) xserver virtual package meens all ofxservers,
    4.0.1's xserver (xserver-xfree86) and 3.3.6's xservers
    (xserver-svga, xserver-mach64 etc etc etc...).
    But X server of XFree86 3.3.6 is not able to handle TrueType font.

 So I think better to modify this line like this:

 Suggests: xfs-xtt (>> 1:1.3.0.1-3) | xserver-xfree86


 One more question. This package uploaded for stable tree.
 These changes are needed for potato?

-- 
ISHIKAWA Mutsumi
 <ishikawa@linux.or.jp>, <ishikawa@debian.org>, <ishikawa@redhat.com>



Reply to: